import { BaseXform } from "../base-xform.js";
interface SheetViewModel {
    workbookViewId?: number;
    rightToLeft?: boolean;
    tabSelected?: boolean;
    showRuler?: boolean;
    showRowColHeaders?: boolean;
    showGridLines?: boolean;
    zoomScale?: number;
    zoomScaleNormal?: number;
    style?: string;
    state?: string;
    xSplit?: number;
    ySplit?: number;
    topLeftCell?: string;
    activePane?: string;
    activeCell?: string;
}
declare class SheetViewXform extends BaseXform {
    model: SheetViewModel;
    private sheetView;
    private pane;
    private selections;
    get tag(): string;
    prepare(model: SheetViewModel): void;
    render(xmlStream: any, model: SheetViewModel): void;
    parseOpen(node: any): boolean;
    parseText(): void;
    parseClose(name: string): boolean;
    reconcile(): void;
}
export { SheetViewXform };
